Package Details: linux-sgx-driver-dkms-git 2.11.r6.g0373e2e-1

Git Clone URL: https://aur.archlinux.org/linux-sgx-driver-dkms-git.git (read-only, click to copy)
Package Base: linux-sgx-driver-dkms-git
Description: Intel® SGX Linux module - dkms
Upstream URL: https://01.org/intel-softwareguard-extensions
Keywords: dkms intel isgx sgx
Licenses: GPL2
Submitter: robertfoster
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 1
Popularity: 0.41
First Submitted: 2017-08-07 12:47
Last Updated: 2021-01-06 23:38

Dependencies (4)

Required by (0)

Sources (3)

Latest Comments

emphire commented on 2020-12-31 08:00

Here is an updated PKGBUILD with a patch to fix the dkms issue. https://gist.github.com/jonjonw/a73bec49fca124b51f6d09f4245ed3e6

emphire commented on 2020-12-06 22:07

I think the dkms.conf file needs tweaking. I get the following when upgrading my kernel:

==> dkms install --no-depmod -m linux-sgx-driver -v 2.11.r4.g4505f07 -k 5.9.12-arch1-1 Error! Bad return status for module build on kernel: 5.9.12-arch1-1 (x86_64) Consult /var/lib/dkms/linux-sgx-driver/2.11.r4.g4505f07/build/make.log for more information. ==> Warning, `dkms install --no-depmod -m linux-sgx-driver -v 2.11.r4.g4505f07 -k 5.9.12-arch1-1' returned 10

% cat /var/lib/dkms/linux-sgx-driver/2.11.r4.g4505f07/build/make.log DKMS make.log for linux-sgx-driver-2.11.r4.g4505f07 for kernel 5.9.12-arch1-1 (x86_64) Sun Dec 6 01:59:39 PM PST 2020 make -C /lib/modules/5.9.11-zen2-1-zen/build M=/var/lib/dkms/linux-sgx-driver/2.11.r4.g4505f07/build modules make[1]: /lib/modules/5.9.11-zen2-1-zen/build: No such file or directory. Stop. make: [Makefile:16: default] Error 2

None of my other dkms modules fail.

Perhaps it would help to restructure the package to the dkms package guidelines: https://wiki.archlinux.org/index.php/DKMS_package_guidelines

m3thodic commented on 2019-06-13 18:25

Here's the latest PKGBUILD that works for me:

https://gist.github.com/tonylambiris/0163d89ab6d0c27a6bc4a2aa98552d1d

m3thodic commented on 2019-05-10 23:53

The latest commit isn't able to be built due to an issue with the pkgver() function:

==> Starting pkgver()...
==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version: 2.5-2-g10a2f21
zsh: exit 12    makepkg -sfC

This fixes the issue:

pkgver() {
    cd $srcdir/$pkg
    git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

Thanks!

robertfoster commented on 2018-01-25 17:18

@abozanich added, when official repo merge your edits, I'll remove the sed ;)

abozanich commented on 2018-01-25 04:24

I made a patch for 4.14+ kernels here: https://gist.github.com/boz/bdaf3f978ad9c06424a933b61e980ae1

The "-O0" make flag causes problems for some reason. I've made a PR for the upstream package here: https://github.com/intel/linux-sgx-driver/pull/52